import{s as Ee,f as ve,n as Fe,o as We}from"../chunks/scheduler.7bc62968.js";import{S as Je,i as Re,g as o,s as i,r as m,A as Ue,h as s,f as l,c as n,j as Ge,u as c,x as p,k as W,l as $e,y as Ve,a,v as f,d as h,t as d,w as g}from"../chunks/index.66556066.js";import{H as y,g as Ye}from"../chunks/Heading.8f17e89c.js";function Be(xe){let r,U,J,V,w,Y,v,_e='<a href="https://panel.holoviz.org/" rel="nofollow">Panel</a> is an open-source Python library that lets you easily build powerful tools, dashboards and complex applications entirely in Python. It has a batteries-included philosophy, putting the PyData ecosystem, powerful data tables and much more at your fingertips. High-level reactive APIs and lower-level callback based APIs ensure you can quickly build exploratory applications, but you aren’t limited if you build complex, multi-page apps with rich interactivity. Panel is a member of the <a href="https://holoviz.org/" rel="nofollow">HoloViz</a> ecosystem, your gateway into a connected ecosystem of data exploration tools.',B,$,Pe='Visit <a href="https://panel.holoviz.org/" rel="nofollow">Panel documentation</a> to learn more about making powerful applications.',K,x,N,_,be="You can deploy Panel on Spaces with just a few clicks:",Q,u,Ce='<img src="https://huggingface.co/datasets/huggingface/badges/resolve/main/deploy-to-spaces-lg.svg"/>',X,P,Te="There are a few key parameters you need to define: the Owner (either your personal account or an organization), a Space name, and Visibility. In case you intend to execute computationally intensive deep learning models, consider upgrading to a GPU to boost performance.",Z,b,ke,ee,C,He="Once you have created the Space, it will start out in “Building” status, which will change to “Running” once your Space is ready to go.",te,T,le,k,ze='When your Space is built and ready, you will see this image classification Panel app which will let you fetch a random image and run the OpenAI CLIP classifier model on it. Check out our <a href="https://blog.holoviz.org/building_an_interactive_ml_dashboard_in_panel.html" rel="nofollow">blog post</a> for a walkthrough of this app.',ae,H,Me,ie,z,ne,M,Le="The Space template will populate a few files to get your app started:",oe,L,qe,se,q,Se="Three files are important:",pe,S,re,D,De='This file defines your Panel application code. You can start by modifying the existing application or replace it entirely to build your own application. To learn more about writing your own Panel app, refer to the <a href="https://panel.holoviz.org/" rel="nofollow">Panel documentation</a>.',ue,I,me,A,Ie="The Dockerfile contains a sequence of commands that Docker will execute to construct and launch an image as a container that your Panel app will run in. Typically, to serve a Panel app, we use the command <code>panel serve app.py</code>. In this specific file, we divide the command into a list of strings. Furthermore, we must define the address and port because Hugging Face will expect to serve your application on port 7860. Additionally, we need to specify the <code>allow-websocket-origin</code> flag to enable the connection to the server’s websocket.",ce,O,fe,j,Ae="This file defines the required packages for our Panel app. When using Space, dependencies listed in the requirements.txt file will be automatically installed. You have the freedom to modify this file by removing unnecessary packages or adding additional ones that are required for your application. Feel free to make the necessary changes to ensure your app has the appropriate packages installed.",he,G,de,E,Oe="The Panel community is vibrant and supportive, with experienced developers and data scientists eager to help and share their knowledge. Join us and connect with us:",ge,F,je='<li><a href="https://discord.gg/aRFhC3Dz9w" rel="nofollow">Discord</a></li> <li><a href="https://discourse.holoviz.org/" rel="nofollow">Discourse</a></li> <li><a href="https://twitter.com/Panel_Org" rel="nofollow">Twitter</a></li> <li><a href="https://www.linkedin.com/company/panel-org" rel="nofollow">LinkedIn</a></li> <li><a href="https://github.com/holoviz/panel" rel="nofollow">Github</a></li>',ye,R,we;return w=new y({props:{title:"Panel on Spaces",local:"panel-on-spaces",headingTag:"h1"}}),x=new y({props:{title:"🚀 Deploy Panel on Spaces",local:"-deploy-panel-on-spaces",headingTag:"h2"}}),T=new y({props:{title:"⚡️ What will you see?",local:"-what-will-you-see",headingTag:"h2"}}),z=new y({props:{title:"🛠️ How to customize and make your own app?",local:"-how-to-customize-and-make-your-own-app",headingTag:"h2"}}),S=new y({props:{title:"1. app.py",local:"1-apppy",headingTag:"h3"}}),I=new y({props:{title:"2. Dockerfile",local:"2-dockerfile",headingTag:"h3"}}),O=new y({props:{title:"3. requirements.txt",local:"3-requirementstxt",headingTag:"h3"}}),G=new y({props:{title:"🌐 Join Our Community",local:"-join-our-community",headingTag:"h2"}}),{c(){r=o("meta"),U=i(),J=o("p"),V=i(),m(w.$$.fragment),Y=i(),v=o("p"),v.innerHTML=_e,B=i(),$=o("p"),$.innerHTML=Pe,K=i(),m(x.$$.fragment),N=i(),_=o("p"),_.textContent=be,Q=i(),u=o("a"),u.innerHTML=Ce,X=i(),P=o("p"),P.textContent=Te,Z=i(),b=o("img"),ee=i(),C=o("p"),C.textContent=He,te=i(),m(T.$$.fragment),le=i(),k=o("p"),k.innerHTML=ze,ae=i(),H=o("img"),ie=i(),m(z.$$.fragment),ne=i(),M=o("p"),M.textContent=Le,oe=i(),L=o("img"),se=i(),q=o("p"),q.textContent=Se,pe=i(),m(S.$$.fragment),re=i(),D=o("p"),D.innerHTML=De,ue=i(),m(I.$$.fragment),me=i(),A=o("p"),A.innerHTML=Ie,ce=i(),m(O.$$.fragment),fe=i(),j=o("p"),j.textContent=Ae,he=i(),m(G.$$.fragment),de=i(),E=o("p"),E.textContent=Oe,ge=i(),F=o("ul"),F.innerHTML=je,ye=i(),R=o("p"),this.h()},l(e){const t=Ue("svelte-u9bgzb",document.head);r=s(t,"META",{name:!0,content:!0}),t.forEach(l),U=n(e),J=s(e,"P",{}),Ge(J).forEach(l),V=n(e),c(w.$$.fragment,e),Y=n(e),v=s(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-19rxu4i"&&(v.innerHTML=_e),B=n(e),$=s(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-1raoxg2"&&($.innerHTML=Pe),K=n(e),c(x.$$.fragment,e),N=n(e),_=s(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-kfzz7s"&&(_.textContent=be),Q=n(e),u=s(e,"A",{href:!0,"data-svelte-h":!0}),p(u)!=="svelte-y8v9zy"&&(u.innerHTML=Ce),X=n(e),P=s(e,"P",{"data-svelte-h":!0}),p(P)!=="svelte-zjbk0x"&&(P.textContent=Te),Z=n(e),b=s(e,"IMG",{src:!0,style:!0}),ee=n(e),C=s(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-867aqm"&&(C.textContent=He),te=n(e),c(T.$$.fragment,e),le=n(e),k=s(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-1hsjotg"&&(k.innerHTML=ze),ae=n(e),H=s(e,"IMG",{src:!0,style:!0}),ie=n(e),c(z.$$.fragment,e),ne=n(e),M=s(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-qu4vqr"&&(M.textContent=Le),oe=n(e),L=s(e,"IMG",{src:!0,style:!0}),se=n(e),q=s(e,"P",{"data-svelte-h":!0}),p(q)!=="svelte-10svfo9"&&(q.textContent=Se),pe=n(e),c(S.$$.fragment,e),re=n(e),D=s(e,"P",{"data-svelte-h":!0}),p(D)!=="svelte-1xxtkfr"&&(D.innerHTML=De),ue=n(e),c(I.$$.fragment,e),me=n(e),A=s(e,"P",{"data-svelte-h":!0}),p(A)!=="svelte-1ftnf2i"&&(A.innerHTML=Ie),ce=n(e),c(O.$$.fragment,e),fe=n(e),j=s(e,"P",{"data-svelte-h":!0}),p(j)!=="svelte-s761r5"&&(j.textContent=Ae),he=n(e),c(G.$$.fragment,e),de=n(e),E=s(e,"P",{"data-svelte-h":!0}),p(E)!=="svelte-6gcqao"&&(E.textContent=Oe),ge=n(e),F=s(e,"UL",{"data-svelte-h":!0}),p(F)!=="svelte-4uepp0"&&(F.innerHTML=je),ye=n(e),R=s(e,"P",{}),Ge(R).forEach(l),this.h()},h(){W(r,"name","hf:doc:metadata"),W(r,"content",Ke),W(u,"href","https://huggingface.co/new-space?template=Panel-Org/panel-template"),ve(b.src,ke="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/spaces-panel.png")||W(b,"src",ke),$e(b,"width","70%"),ve(H.src,Me="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/spaces-panel-demo.gif")||W(H,"src",Me),$e(H,"width","70%"),ve(L.src,qe="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/spaces-panel-files.png")||W(L,"src",qe),$e(L,"width","70%")},m(e,t){Ve(document.head,r),a(e,U,t),a(e,J,t),a(e,V,t),f(w,e,t),a(e,Y,t),a(e,v,t),a(e,B,t),a(e,$,t),a(e,K,t),f(x,e,t),a(e,N,t),a(e,_,t),a(e,Q,t),a(e,u,t),a(e,X,t),a(e,P,t),a(e,Z,t),a(e,b,t),a(e,ee,t),a(e,C,t),a(e,te,t),f(T,e,t),a(e,le,t),a(e,k,t),a(e,ae,t),a(e,H,t),a(e,ie,t),f(z,e,t),a(e,ne,t),a(e,M,t),a(e,oe,t),a(e,L,t),a(e,se,t),a(e,q,t),a(e,pe,t),f(S,e,t),a(e,re,t),a(e,D,t),a(e,ue,t),f(I,e,t),a(e,me,t),a(e,A,t),a(e,ce,t),f(O,e,t),a(e,fe,t),a(e,j,t),a(e,he,t),f(G,e,t),a(e,de,t),a(e,E,t),a(e,ge,t),a(e,F,t),a(e,ye,t),a(e,R,t),we=!0},p:Fe,i(e){we||(h(w.$$.fragment,e),h(x.$$.fragment,e),h(T.$$.fragment,e),h(z.$$.fragment,e),h(S.$$.fragment,e),h(I.$$.fragment,e),h(O.$$.fragment,e),h(G.$$.fragment,e),we=!0)},o(e){d(w.$$.fragment,e),d(x.$$.fragment,e),d(T.$$.fragment,e),d(z.$$.fragment,e),d(S.$$.fragment,e),d(I.$$.fragment,e),d(O.$$.fragment,e),d(G.$$.fragment,e),we=!1},d(e){e&&(l(U),l(J),l(V),l(Y),l(v),l(B),l($),l(K),l(N),l(_),l(Q),l(u),l(X),l(P),l(Z),l(b),l(ee),l(C),l(te),l(le),l(k),l(ae),l(H),l(ie),l(ne),l(M),l(oe),l(L),l(se),l(q),l(pe),l(re),l(D),l(ue),l(me),l(A),l(ce),l(fe),l(j),l(he),l(de),l(E),l(ge),l(F),l(ye),l(R)),l(r),g(w,e),g(x,e),g(T,e),g(z,e),g(S,e),g(I,e),g(O,e),g(G,e)}}}const Ke='{"title":"Panel on Spaces","local":"panel-on-spaces","sections":[{"title":"🚀 Deploy Panel on Spaces","local":"-deploy-panel-on-spaces","sections":[],"depth":2},{"title":"⚡️ What will you see?","local":"-what-will-you-see","sections":[],"depth":2},{"title":"🛠️ How to customize and make your own app?","local":"-how-to-customize-and-make-your-own-app","sections":[{"title":"1. app.py","local":"1-apppy","sections":[],"depth":3},{"title":"2. Dockerfile","local":"2-dockerfile","sections":[],"depth":3},{"title":"3. requirements.txt","local":"3-requirementstxt","sections":[],"depth":3}],"depth":2},{"title":"🌐 Join Our Community","local":"-join-our-community","sections":[],"depth":2}],"depth":1}';function Ne(xe){return We(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Ye}),[]}class et extends Je{constructor(r){super(),Re(this,r,Ne,Be,Ee,{})}}export{et as component};
